
server:
  port: 9620
spring:
  application:
    name: supplier-admin-9620
  profiles:
    active: dev

  datasource:
    username: sa
    password: "#09SilverB"
    url: jdbc:sqlserver://116.62.173.33:1433;DatabaseName=tuya
    driver-class-name: com.microsoft.sqlserver.jdbc.SQLServerDriver
  servlet:
    multipart:
      enabled: true
      max-file-size: 100MB
      max-request-size: 100MB
#  task:
#    scheduling:
#      pool:
#        size: 8 #配置Scheduled定时任务为多线程 否则默认为单线程同一时间段不执行
logging:
  level:
    com:
      alibaba:
        nacos:
          client:
            naming: error
knife4j:
  enable: true
  basic:
    enable: true
    username: root
    password: root
mybatis:
  typeAliasesPackage: com.supplier.model
  mapperLocations: classpath:config/mapping/*.xml
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
    map-underscore-to-camel-case: true
WXPAY:
  PAY:
    # 微信开放平台 appid
    APPID: wx4db5367f702b96a0
    #商户号
    MCHID: 1629374258
    #API密钥
    KEY: ueYnFyZimfIkejHrags9grqvHyekdXGa
    #回调地址
    NOTIFY_URL: "https://www.tuyatrip.com/supplier/appPay/appNotify"
    #发起请求的电脑IP
    CREATE_IP: 127.0.0.1
    APP:
      #证书位置
      KEYPATH: classpath:/resources/static/wx/apiclient_cert.p12
    NATIVE:
      #AppSecret是APPID对应的接口密码
      APPSECRET: "3d6be2dOda23555eb8ce6afe230509aa"
wx:
  login:
    appId: wx6eaf18acb6c3a2cd
    appSecret: 5e5e921f3c6d4cafe4b90c13009ac2a2
    redirectUri: "https://www.tuyatrip.com/supplier/wx/login/notify/code"
    appIdMobile: wx4db5367f702b96a0
    appSecretMobile: 0e37520d81ec076eb0f117c82e7637ce
    appIdJSAPI: wx28e4c9a81703f7f6
    appSecretJSAPI: 3bfcafe1576dbec41895c7cb961ac5e8